6.0.0-git
2018-12-15

[#10460] Problem with external mysql addressbook
Summary Problem with external mysql addressbook
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Assigned
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester claude.tompers (at) restena (dot) lu
Created 2011-08-26 (2668 days ago)
Due
Updated 2011-09-06 (2657 days ago)
Assigned 2011-09-06 (2657 days ago)
Resolved
Milestone 1.5.0
Patch No

History
2011-09-06 07:26:09 Michael Slusarz Comment #7
State ⇒ Assigned
Reply to this comment
As mentioned in ticket, the original fix seems faulty because it 
assumes that we are using DB caching.  At the very least, that fix 
completely breaks installations so it is necessarily reverted until 
properly fixed.
2011-09-06 07:23:54 Git Commit Comment #6 Reply to this comment
Changes have been made in Git for this ticket:

Revert "Fix creating cache objects for Horde_Db."
This reverts commit 6c7b1ce4d9b529822899af05df6b5a00ea414b8d.

Bug #10460

Fixes fatal error that completely prevents viewing of any page.

I am using PostgreSQL as DB driver, files as cache driver. The code
seems to assume that the cache driver will ALWAYS be a SQL DB.  This is
obviously incorrect.

  2 files changed, 1 insertions(+), 7 deletions(-)
http://git.horde.org/horde-git/-/commit/592009d780a35b7ad66781489e726f94fcdd4234
2011-09-02 17:23:38 Jan Schneider State ⇒ Resolved
Milestone ⇒ 1.5.0
 
2011-09-02 17:23:08 Jan Schneider Comment #5
Version ⇒ Git master
Queue ⇒ Horde Framework Packages
Reply to this comment
This was a bug in Horde_Core.
2011-09-02 17:22:39 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Fix creating cache objects for Horde_Db.
We cannot simply pass the current Horde_Db object into the Horde_Cache 
instance
that we pass back to that object, because we might be creating a Horde_Db
object for a completely different SQL configuration than required for
Horde_Cache.
Create a new Horde_Db object with the separate cache configuration 
instead, but
set this object's 'cache' property to avoid an infinite loop.

Bug: 10460

  2 files changed, 7 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/6c7b1ce4d9b529822899af05df6b5a00ea414b8d
2011-09-02 17:03:30 Jan Schneider Comment #3 Reply to this comment
Nevermind, I forgot to change the Cache backend.
2011-09-02 16:58:43 Jan Schneider Comment #2
Assigned to Jan Schneider
State ⇒ Feedback
Reply to this comment
I cannot reproduce. How does your backends(.local).php look like?
2011-08-26 11:18:27 claude (dot) tompers (at) restena (dot) lu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Problem with external mysql addressbook
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
When using an external mysql addressbook (different database than the 
HORDE DB), Turba tries to write something into the horde_cache table 
using the external mysql ressource instead of the HORDE DB. This 
happens in browse.php.

Saved Queries